package Gtk2::StatusIcon;

use 5.008;
use strict;
use warnings;

use Gtk2;

require DynaLoader;

our @ISA = qw(DynaLoader);

our $VERSION = '0.010';

sub dl_load_flags { 0x01 }

bootstrap Gtk2::StatusIcon $VERSION;

# Preloaded methods go here.

1;
__END__

=head1 NAME

Gtk2::StatusIcon - Perl interface to the EggStatusIcon library

=head1 SYNOPSIS
  
  use Gtk2 '-init';
  use Gtk2::StatusIcon;

  my $status_icon = Gtk2::StatusIcon->new;
  $status_icon->set_from_stock('gtk-run');

  Gtk2->main;

=head1 ABSTRACT

This module allows a Perl developer to embed an arbitrary widget
in a System Tray like the Gnome notification area.  A Gtk2::StatusIcon
is a more complex and useful object than L<Gtk2::TrayIcon>.

=head1 DESCRIPTION

EggStatusIcon is slated for inclusion in Gtk+ at some point, which is
the reason the C<Gtk2::StatusIcon> namespace. As all egg libs,
EggStatusIcon is not considered API stable and its not installed as a
shared object.

A C<Gtk2::StatusIcon> is a complex object that emits the 'activate'
signal on double click, and has some high-level methods used to change
the icon.  It also has some useful properties.

System Trays are found in both KDE and Gnome. But neither support the
spec fully. 

C<Gtk2::StatusIcon> is a subclass of C<Glib::Object> and should be used
as such.

=head1 SEE ALSO

L<Glib>, L<Gtk2>, L<Gtk2::TrayIcon> and The System Tray Spec http://www.freedesktop.org/Standards/systemtray-spec.

=head1 AUTHOR

Emmanuele Bassi E<lt>ebassi (at) gmail.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2005 by Emmanuele Bassi

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the 
Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
Boston, MA  02111-1307  USA.

=cut
